CSAIL Debian Squeeze Upgrades

The Script

Dell Optiplex 760 systems require a BIOS upgrade or they will hang on boot with Squeeze, please contact help@csail.mit.edu if you have an Optiplex760 and need help upgrading the BIOS.

On the console (not Xwindows) with root permissions run:

/usr/local/csail/sbin/squeeze-upgrade

The time it takes for the upgrade to compete is highly variable but is on the order of 1 hour.

The Caveats

Some old hard drives don't like GRUB2

The new boot loader in Squeeze got bigger, some older don't have enough space before the beginning of the first partition to fit it. The upgrade script checks for this and aborts. If you see this error please contact help@csail.mit.edu.

Support for Lenny went away Feb 6 2012

The Debian project discontinued support for "Lenny" on which our last release of CSAIL/Debian was based February 6th, this means there will be no more security updates for legacy systems after that date. Existing systems won't spontaneously combust, but sooner rather than later is definitely the way to go.

-- JonProulx - 30 Jan 2012
Topic revision: 08 Feb 2012, JonProulx
 

MIT Computer Science and Artificial Intelligence Laboratory

 

  • About CSAIL
  • Research
  • News + Events
  • Resources
  • People

This site is powered by Foswiki MIT: Massachusetts Institute of Technology